Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class XMLNodeActionManager

    public class XMLNodeActionManager
    extends AbstractNodeActionManager

## Constructor Summary

`XMLNodeActionManager(IStructuredModel model , Viewer viewer)`

## Method Summary

`public void` | `reformat(org.w3c.dom.Node newElement , boolean deep)`
`public void` | `setModel(IStructuredModel newModel)`
`protected void` | `setModelQuery(ModelQuery newModelQuery)`

## Constructor Detail

## XMLNodeActionManager

`public XMLNodeActionManager(IStructuredModel model , Viewer viewer)`

## Methods Detail

## reformat

`public void reformat(org.w3c.dom.Node newElement , boolean deep)`

### Parameters

`newElement`

`deep`

## setModel

`public void setModel(IStructuredModel newModel)`

### Parameters

`newModel`

## setModelQuery

`protected void setModelQuery(ModelQuery newModelQuery)`

### Parameters

`newModelQuery`